<?php
$tdatadetail = array();
$tdatadetail[".searchableFields"] = array();
$tdatadetail[".ShortName"] = "detail";
$tdatadetail[".OwnerID"] = "";
$tdatadetail[".OriginalTable"] = "allocation_detail";


$tdatadetail[".pagesByType"] = my_json_decode( "{\"list\":[\"list\",\"list1\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatadetail[".originalPagesByType"] = $tdatadetail[".pagesByType"];
$tdatadetail[".pages"] = types2pages( my_json_decode( "{\"list\":[\"list\",\"list1\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatadetail[".originalPages"] = $tdatadetail[".pages"];
$tdatadetail[".defaultPages"] = my_json_decode( "{\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatadetail[".originalDefaultPages"] = $tdatadetail[".defaultPages"];

//	field labels
$fieldLabelsdetail = array();
$fieldToolTipsdetail = array();
$pageTitlesdetail = array();
$placeHoldersdetail = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsdetail["English"] = array();
	$fieldToolTipsdetail["English"] = array();
	$placeHoldersdetail["English"] = array();
	$pageTitlesdetail["English"] = array();
	$fieldLabelsdetail["English"]["id"] = "Id";
	$fieldToolTipsdetail["English"]["id"] = "";
	$placeHoldersdetail["English"]["id"] = "";
	$fieldLabelsdetail["English"]["sub_office_code"] = "Sub Office Code";
	$fieldToolTipsdetail["English"]["sub_office_code"] = "";
	$placeHoldersdetail["English"]["sub_office_code"] = "";
	$fieldLabelsdetail["English"]["sub_office"] = "Sub Office";
	$fieldToolTipsdetail["English"]["sub_office"] = "";
	$placeHoldersdetail["English"]["sub_office"] = "";
	$fieldLabelsdetail["English"]["expenditure_code"] = "Expenditure Code";
	$fieldToolTipsdetail["English"]["expenditure_code"] = "";
	$placeHoldersdetail["English"]["expenditure_code"] = "";
	$fieldLabelsdetail["English"]["department"] = "Department";
	$fieldToolTipsdetail["English"]["department"] = "";
	$placeHoldersdetail["English"]["department"] = "";
	$fieldLabelsdetail["English"]["amount"] = "Amount";
	$fieldToolTipsdetail["English"]["amount"] = "";
	$placeHoldersdetail["English"]["amount"] = "";
	$fieldLabelsdetail["English"]["date"] = "Date";
	$fieldToolTipsdetail["English"]["date"] = "";
	$placeHoldersdetail["English"]["date"] = "";
	$fieldLabelsdetail["English"]["user"] = "User";
	$fieldToolTipsdetail["English"]["user"] = "";
	$placeHoldersdetail["English"]["user"] = "";
	$fieldLabelsdetail["English"]["on_time"] = "On Time";
	$fieldToolTipsdetail["English"]["on_time"] = "";
	$placeHoldersdetail["English"]["on_time"] = "";
	$fieldLabelsdetail["English"]["fk"] = "Fk";
	$fieldToolTipsdetail["English"]["fk"] = "";
	$placeHoldersdetail["English"]["fk"] = "";
	$fieldLabelsdetail["English"]["action"] = "Event";
	$fieldToolTipsdetail["English"]["action"] = "";
	$placeHoldersdetail["English"]["action"] = "";
	$fieldLabelsdetail["English"]["ud"] = "Ud";
	$fieldToolTipsdetail["English"]["ud"] = "";
	$placeHoldersdetail["English"]["ud"] = "";
	$fieldLabelsdetail["English"]["md"] = "Md";
	$fieldToolTipsdetail["English"]["md"] = "";
	$placeHoldersdetail["English"]["md"] = "";
	$fieldLabelsdetail["English"]["comment"] = "Comment";
	$fieldToolTipsdetail["English"]["comment"] = "";
	$placeHoldersdetail["English"]["comment"] = "";
	$fieldLabelsdetail["English"]["description"] = "Description";
	$fieldToolTipsdetail["English"]["description"] = "";
	$placeHoldersdetail["English"]["description"] = "";
	$fieldLabelsdetail["English"]["c_acc"] = "C Acc";
	$fieldToolTipsdetail["English"]["c_acc"] = "";
	$placeHoldersdetail["English"]["c_acc"] = "";
	$fieldLabelsdetail["English"]["delete"] = "Delete";
	$fieldToolTipsdetail["English"]["delete"] = "";
	$placeHoldersdetail["English"]["delete"] = "";
	$fieldLabelsdetail["English"]["accounting_code"] = "Accounting Code";
	$fieldToolTipsdetail["English"]["accounting_code"] = "";
	$placeHoldersdetail["English"]["accounting_code"] = "";
	if (count($fieldToolTipsdetail["English"]))
		$tdatadetail[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="sinhala")
{
	$fieldLabelsdetail["sinhala"] = array();
	$fieldToolTipsdetail["sinhala"] = array();
	$placeHoldersdetail["sinhala"] = array();
	$pageTitlesdetail["sinhala"] = array();
	$fieldLabelsdetail["sinhala"]["id"] = "Id";
	$fieldToolTipsdetail["sinhala"]["id"] = "";
	$placeHoldersdetail["sinhala"]["id"] = "";
	$fieldLabelsdetail["sinhala"]["sub_office_code"] = "උප කාර්යාලය කේතය";
	$fieldToolTipsdetail["sinhala"]["sub_office_code"] = "";
	$placeHoldersdetail["sinhala"]["sub_office_code"] = "";
	$fieldLabelsdetail["sinhala"]["sub_office"] = "උප කාර්යාලය";
	$fieldToolTipsdetail["sinhala"]["sub_office"] = "";
	$placeHoldersdetail["sinhala"]["sub_office"] = "";
	$fieldLabelsdetail["sinhala"]["expenditure_code"] = "වියදම් කේතය";
	$fieldToolTipsdetail["sinhala"]["expenditure_code"] = "";
	$placeHoldersdetail["sinhala"]["expenditure_code"] = "";
	$fieldLabelsdetail["sinhala"]["department"] = "දෙපාර්තමේනුතුව";
	$fieldToolTipsdetail["sinhala"]["department"] = "";
	$placeHoldersdetail["sinhala"]["department"] = "";
	$fieldLabelsdetail["sinhala"]["amount"] = "මුදල";
	$fieldToolTipsdetail["sinhala"]["amount"] = "";
	$placeHoldersdetail["sinhala"]["amount"] = "";
	$fieldLabelsdetail["sinhala"]["date"] = "දිනය";
	$fieldToolTipsdetail["sinhala"]["date"] = "";
	$placeHoldersdetail["sinhala"]["date"] = "";
	$fieldLabelsdetail["sinhala"]["user"] = "User";
	$fieldToolTipsdetail["sinhala"]["user"] = "";
	$placeHoldersdetail["sinhala"]["user"] = "";
	$fieldLabelsdetail["sinhala"]["on_time"] = "On Time";
	$fieldToolTipsdetail["sinhala"]["on_time"] = "";
	$placeHoldersdetail["sinhala"]["on_time"] = "";
	$fieldLabelsdetail["sinhala"]["fk"] = "Fk";
	$fieldToolTipsdetail["sinhala"]["fk"] = "";
	$placeHoldersdetail["sinhala"]["fk"] = "";
	$fieldLabelsdetail["sinhala"]["action"] = "";
	$fieldToolTipsdetail["sinhala"]["action"] = "";
	$placeHoldersdetail["sinhala"]["action"] = "";
	$fieldLabelsdetail["sinhala"]["ud"] = "Ud";
	$fieldToolTipsdetail["sinhala"]["ud"] = "";
	$placeHoldersdetail["sinhala"]["ud"] = "";
	$fieldLabelsdetail["sinhala"]["md"] = "Md";
	$fieldToolTipsdetail["sinhala"]["md"] = "";
	$placeHoldersdetail["sinhala"]["md"] = "";
	$fieldLabelsdetail["sinhala"]["comment"] = "විස්තරය";
	$fieldToolTipsdetail["sinhala"]["comment"] = "";
	$placeHoldersdetail["sinhala"]["comment"] = "";
	$fieldLabelsdetail["sinhala"]["description"] = "කාරණය";
	$fieldToolTipsdetail["sinhala"]["description"] = "";
	$placeHoldersdetail["sinhala"]["description"] = "";
	$fieldLabelsdetail["sinhala"]["c_acc"] = "C Acc";
	$fieldToolTipsdetail["sinhala"]["c_acc"] = "";
	$placeHoldersdetail["sinhala"]["c_acc"] = "";
	$fieldLabelsdetail["sinhala"]["delete"] = "Delete";
	$fieldToolTipsdetail["sinhala"]["delete"] = "";
	$placeHoldersdetail["sinhala"]["delete"] = "";
	$fieldLabelsdetail["sinhala"]["accounting_code"] = "Accounting Code";
	$fieldToolTipsdetail["sinhala"]["accounting_code"] = "";
	$placeHoldersdetail["sinhala"]["accounting_code"] = "";
	if (count($fieldToolTipsdetail["sinhala"]))
		$tdatadetail[".isUseToolTips"] = true;
}


	$tdatadetail[".NCSearch"] = true;



$tdatadetail[".shortTableName"] = "detail";
$tdatadetail[".nSecOptions"] = 0;

$tdatadetail[".mainTableOwnerID"] = "";
$tdatadetail[".entityType"] = 1;
$tdatadetail[".connId"] = "allo_at_localhost";


$tdatadetail[".strOriginalTableName"] = "allocation_detail";

	



$tdatadetail[".showAddInPopup"] = false;

$tdatadetail[".showEditInPopup"] = false;

$tdatadetail[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatadetail[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdatadetail[".listAjax"] = true;
//	temporary
$tdatadetail[".listAjax"] = false;

	$tdatadetail[".audit"] = true;

	$tdatadetail[".locking"] = true;


$pages = $tdatadetail[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatadetail[".edit"] = true;
	$tdatadetail[".afterEditAction"] = 1;
	$tdatadetail[".closePopupAfterEdit"] = 1;
	$tdatadetail[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatadetail[".add"] = true;
$tdatadetail[".afterAddAction"] = 1;
$tdatadetail[".closePopupAfterAdd"] = 1;
$tdatadetail[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatadetail[".list"] = true;
}



$tdatadetail[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatadetail[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatadetail[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatadetail[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatadetail[".printFriendly"] = true;
}



$tdatadetail[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatadetail[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatadetail[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatadetail[".isUseAjaxSuggest"] = true;

$tdatadetail[".rowHighlite"] = true;



																																																

$tdatadetail[".ajaxCodeSnippetAdded"] = false;

$tdatadetail[".buttonsAdded"] = false;

$tdatadetail[".addPageEvents"] = true;

// use timepicker for search panel
$tdatadetail[".isUseTimeForSearch"] = false;


$tdatadetail[".badgeColor"] = "cd5c5c";


$tdatadetail[".allSearchFields"] = array();
$tdatadetail[".filterFields"] = array();
$tdatadetail[".requiredSearchFields"] = array();

$tdatadetail[".googleLikeFields"] = array();
$tdatadetail[".googleLikeFields"][] = "id";
$tdatadetail[".googleLikeFields"][] = "sub_office_code";
$tdatadetail[".googleLikeFields"][] = "sub_office";
$tdatadetail[".googleLikeFields"][] = "expenditure_code";
$tdatadetail[".googleLikeFields"][] = "department";
$tdatadetail[".googleLikeFields"][] = "amount";
$tdatadetail[".googleLikeFields"][] = "date";
$tdatadetail[".googleLikeFields"][] = "user";
$tdatadetail[".googleLikeFields"][] = "on_time";
$tdatadetail[".googleLikeFields"][] = "fk";
$tdatadetail[".googleLikeFields"][] = "action";
$tdatadetail[".googleLikeFields"][] = "ud";
$tdatadetail[".googleLikeFields"][] = "md";
$tdatadetail[".googleLikeFields"][] = "comment";
$tdatadetail[".googleLikeFields"][] = "description";
$tdatadetail[".googleLikeFields"][] = "c_acc";
$tdatadetail[".googleLikeFields"][] = "delete";
$tdatadetail[".googleLikeFields"][] = "accounting_code";



$tdatadetail[".tableType"] = "list";

$tdatadetail[".printerPageOrientation"] = 0;
$tdatadetail[".isPrinterPageFitToPage"] = 0;
$tdatadetail[".nPrinterPageScale"] = 100;

$tdatadetail[".nPrinterSplitRecords"] = 40;

$tdatadetail[".geocodingEnabled"] = false;










$tdatadetail[".pageSize"] = 20;

$tdatadetail[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatadetail[".strOrderBy"] = $tstrOrderBy;

$tdatadetail[".orderindexes"] = array();


$tdatadetail[".sqlHead"] = "SELECT id,  	sub_office_code,  	sub_office,  	expenditure_code,  	department,  	amount,  	`date`,  	`user`,  	on_time,  	fk,  	`action`,  	ud,  	md,  	`comment`,  	description,  	c_acc,  	`delete`,  	accounting_code";
$tdatadetail[".sqlFrom"] = "FROM allocation_detail";
$tdatadetail[".sqlWhereExpr"] = "";
$tdatadetail[".sqlTail"] = "";

//fill array of tabs for list page
$arrGridTabs = array();
$arrGridTabs[] = array(
	'tabId' => "",
	'name' => "All data",
	'nameType' => 'Text',
	'where' => "",
	'showRowCount' => 0,
	'hideEmpty' => 0,
);
$tdatadetail[".arrGridTabs"] = $arrGridTabs;









//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatadetail[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatadetail[".arrGroupsPerPage"] = $arrGPP;

$tdatadetail[".highlightSearchResults"] = true;

$tableKeysdetail = array();
$tableKeysdetail[] = "id";
$tdatadetail[".Keys"] = $tableKeysdetail;


$tdatadetail[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "allocation_detail";
	$fdata["Label"] = GetFieldLabel("detail","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Contains";
		$fdata["searchOptionsList"][] = "Equals";
		$fdata["searchOptionsList"][] = "Starts with";
		$fdata["searchOptionsList"][] = "More than";
		$fdata["searchOptionsList"][] = "Less than";
		$fdata["searchOptionsList"][] = "Between";
		$fdata["searchOptionsList"][] = "Empty";
		$fdata["searchOptionsList"][] = "NOT Contains";
		$fdata["searchOptionsList"][] = "NOT Equals";
		$fdata["searchOptionsList"][] = "NOT Empty";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadetail["id"] = $fdata;
		$tdatadetail[".searchableFields"][] = "id";
//	sub_office_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "sub_office_code";
	$fdata["GoodName"] = "sub_office_code";
	$fdata["ownerTable"] = "allocation_detail";
	$fdata["Label"] = GetFieldLabel("detail","sub_office_code");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "sub_office_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "sub_office_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "sub_office";
			$edata["autoCompleteFieldsOnEdit"] = 1;
	$edata["autoCompleteFields"] = array();
		$edata["autoCompleteFields"][] = array('masterF'=>"sub_office", 'lookupF'=>"sub_office");
	$edata["autoCompleteFields"][] = array('masterF'=>"ud", 'lookupF'=>"ud");
	$edata["LCType"] = 1;

	
		
	$edata["LinkField"] = "code";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "code";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Contains";
		$fdata["searchOptionsList"][] = "Equals";
		$fdata["searchOptionsList"][] = "Starts with";
		$fdata["searchOptionsList"][] = "More than";
		$fdata["searchOptionsList"][] = "Less than";
		$fdata["searchOptionsList"][] = "Between";
		$fdata["searchOptionsList"][] = "Empty";
		$fdata["searchOptionsList"][] = "NOT Contains";
		$fdata["searchOptionsList"][] = "NOT Equals";
		$fdata["searchOptionsList"][] = "NOT Empty";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadetail["sub_office_code"] = $fdata;
		$tdatadetail[".searchableFields"][] = "sub_office_code";
//	sub_office
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "sub_office";
	$fdata["GoodName"] = "sub_office";
	$fdata["ownerTable"] = "allocation_detail";
	$fdata["Label"] = GetFieldLabel("detail","sub_office");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "sub_office";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "sub_office";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=250";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Contains";
		$fdata["searchOptionsList"][] = "Equals";
		$fdata["searchOptionsList"][] = "Starts with";
		$fdata["searchOptionsList"][] = "More than";
		$fdata["searchOptionsList"][] = "Less than";
		$fdata["searchOptionsList"][] = "Between";
		$fdata["searchOptionsList"][] = "Empty";
		$fdata["searchOptionsList"][] = "NOT Contains";
		$fdata["searchOptionsList"][] = "NOT Equals";
		$fdata["searchOptionsList"][] = "NOT Empty";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadetail["sub_office"] = $fdata;
		$tdatadetail[".searchableFields"][] = "sub_office";
//	expenditure_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "expenditure_code";
	$fdata["GoodName"] = "expenditure_code";
	$fdata["ownerTable"] = "allocation_detail";
	$fdata["Label"] = GetFieldLabel("detail","expenditure_code");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "expenditure_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "expenditure_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=250";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Contains";
		$fdata["searchOptionsList"][] = "Equals";
		$fdata["searchOptionsList"][] = "Starts with";
		$fdata["searchOptionsList"][] = "More than";
		$fdata["searchOptionsList"][] = "Less than";
		$fdata["searchOptionsList"][] = "Between";
		$fdata["searchOptionsList"][] = "Empty";
		$fdata["searchOptionsList"][] = "NOT Contains";
		$fdata["searchOptionsList"][] = "NOT Equals";
		$fdata["searchOptionsList"][] = "NOT Empty";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadetail["expenditure_code"] = $fdata;
		$tdatadetail[".searchableFields"][] = "expenditure_code";
//	department
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "department";
	$fdata["GoodName"] = "department";
	$fdata["ownerTable"] = "allocation_detail";
	$fdata["Label"] = GetFieldLabel("detail","department");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "department";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "department";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=250";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Contains";
		$fdata["searchOptionsList"][] = "Equals";
		$fdata["searchOptionsList"][] = "Starts with";
		$fdata["searchOptionsList"][] = "More than";
		$fdata["searchOptionsList"][] = "Less than";
		$fdata["searchOptionsList"][] = "Between";
		$fdata["searchOptionsList"][] = "Empty";
		$fdata["searchOptionsList"][] = "NOT Contains";
		$fdata["searchOptionsList"][] = "NOT Equals";
		$fdata["searchOptionsList"][] = "NOT Empty";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadetail["department"] = $fdata;
		$tdatadetail[".searchableFields"][] = "department";
//	amount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "amount";
	$fdata["GoodName"] = "amount";
	$fdata["ownerTable"] = "allocation_detail";
	$fdata["Label"] = GetFieldLabel("detail","amount");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "amount";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "amount";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Contains";
		$fdata["searchOptionsList"][] = "Equals";
		$fdata["searchOptionsList"][] = "Starts with";
		$fdata["searchOptionsList"][] = "More than";
		$fdata["searchOptionsList"][] = "Less than";
		$fdata["searchOptionsList"][] = "Between";
		$fdata["searchOptionsList"][] = "Empty";
		$fdata["searchOptionsList"][] = "NOT Contains";
		$fdata["searchOptionsList"][] = "NOT Equals";
		$fdata["searchOptionsList"][] = "NOT Empty";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadetail["amount"] = $fdata;
		$tdatadetail[".searchableFields"][] = "amount";
//	date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "date";
	$fdata["GoodName"] = "date";
	$fdata["ownerTable"] = "allocation_detail";
	$fdata["Label"] = GetFieldLabel("detail","date");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`date`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Contains";
		$fdata["searchOptionsList"][] = "Equals";
		$fdata["searchOptionsList"][] = "Starts with";
		$fdata["searchOptionsList"][] = "More than";
		$fdata["searchOptionsList"][] = "Less than";
		$fdata["searchOptionsList"][] = "Between";
		$fdata["searchOptionsList"][] = "Empty";
		$fdata["searchOptionsList"][] = "NOT Contains";
		$fdata["searchOptionsList"][] = "NOT Equals";
		$fdata["searchOptionsList"][] = "NOT Empty";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadetail["date"] = $fdata;
		$tdatadetail[".searchableFields"][] = "date";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "allocation_detail";
	$fdata["Label"] = GetFieldLabel("detail","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`user`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=250";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Contains";
		$fdata["searchOptionsList"][] = "Equals";
		$fdata["searchOptionsList"][] = "Starts with";
		$fdata["searchOptionsList"][] = "More than";
		$fdata["searchOptionsList"][] = "Less than";
		$fdata["searchOptionsList"][] = "Between";
		$fdata["searchOptionsList"][] = "Empty";
		$fdata["searchOptionsList"][] = "NOT Contains";
		$fdata["searchOptionsList"][] = "NOT Equals";
		$fdata["searchOptionsList"][] = "NOT Empty";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadetail["user"] = $fdata;
		$tdatadetail[".searchableFields"][] = "user";
//	on_time
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "on_time";
	$fdata["GoodName"] = "on_time";
	$fdata["ownerTable"] = "allocation_detail";
	$fdata["Label"] = GetFieldLabel("detail","on_time");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "on_time";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "on_time";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Contains";
		$fdata["searchOptionsList"][] = "Equals";
		$fdata["searchOptionsList"][] = "Starts with";
		$fdata["searchOptionsList"][] = "More than";
		$fdata["searchOptionsList"][] = "Less than";
		$fdata["searchOptionsList"][] = "Between";
		$fdata["searchOptionsList"][] = "Empty";
		$fdata["searchOptionsList"][] = "NOT Contains";
		$fdata["searchOptionsList"][] = "NOT Equals";
		$fdata["searchOptionsList"][] = "NOT Empty";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadetail["on_time"] = $fdata;
		$tdatadetail[".searchableFields"][] = "on_time";
//	fk
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "fk";
	$fdata["GoodName"] = "fk";
	$fdata["ownerTable"] = "allocation_detail";
	$fdata["Label"] = GetFieldLabel("detail","fk");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "fk";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fk";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Contains";
		$fdata["searchOptionsList"][] = "Equals";
		$fdata["searchOptionsList"][] = "Starts with";
		$fdata["searchOptionsList"][] = "More than";
		$fdata["searchOptionsList"][] = "Less than";
		$fdata["searchOptionsList"][] = "Between";
		$fdata["searchOptionsList"][] = "Empty";
		$fdata["searchOptionsList"][] = "NOT Contains";
		$fdata["searchOptionsList"][] = "NOT Equals";
		$fdata["searchOptionsList"][] = "NOT Empty";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadetail["fk"] = $fdata;
		$tdatadetail[".searchableFields"][] = "fk";
//	action
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "action";
	$fdata["GoodName"] = "action";
	$fdata["ownerTable"] = "allocation_detail";
	$fdata["Label"] = GetFieldLabel("detail","action");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "action";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`action`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 4;

		$edata["HorizontalLookup"] = true;

	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "නිකුත් කිරීම";
	$edata["LookupValues"][] = "අවශෝෂණය";

	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Contains";
		$fdata["searchOptionsList"][] = "Equals";
		$fdata["searchOptionsList"][] = "Starts with";
		$fdata["searchOptionsList"][] = "More than";
		$fdata["searchOptionsList"][] = "Less than";
		$fdata["searchOptionsList"][] = "Between";
		$fdata["searchOptionsList"][] = "Empty";
		$fdata["searchOptionsList"][] = "NOT Contains";
		$fdata["searchOptionsList"][] = "NOT Equals";
		$fdata["searchOptionsList"][] = "NOT Empty";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadetail["action"] = $fdata;
		$tdatadetail[".searchableFields"][] = "action";
//	ud
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "ud";
	$fdata["GoodName"] = "ud";
	$fdata["ownerTable"] = "allocation_detail";
	$fdata["Label"] = GetFieldLabel("detail","ud");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "ud";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ud";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadetail["ud"] = $fdata;
		$tdatadetail[".searchableFields"][] = "ud";
//	md
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "md";
	$fdata["GoodName"] = "md";
	$fdata["ownerTable"] = "allocation_detail";
	$fdata["Label"] = GetFieldLabel("detail","md");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "md";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "md";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadetail["md"] = $fdata;
		$tdatadetail[".searchableFields"][] = "md";
//	comment
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "comment";
	$fdata["GoodName"] = "comment";
	$fdata["ownerTable"] = "allocation_detail";
	$fdata["Label"] = GetFieldLabel("detail","comment");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "comment";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`comment`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=250";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadetail["comment"] = $fdata;
		$tdatadetail[".searchableFields"][] = "comment";
//	description
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "description";
	$fdata["GoodName"] = "description";
	$fdata["ownerTable"] = "allocation_detail";
	$fdata["Label"] = GetFieldLabel("detail","description");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "description";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "description";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=250";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadetail["description"] = $fdata;
		$tdatadetail[".searchableFields"][] = "description";
//	c_acc
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "c_acc";
	$fdata["GoodName"] = "c_acc";
	$fdata["ownerTable"] = "allocation_detail";
	$fdata["Label"] = GetFieldLabel("detail","c_acc");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "c_acc";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "c_acc";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadetail["c_acc"] = $fdata;
		$tdatadetail[".searchableFields"][] = "c_acc";
//	delete
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 17;
	$fdata["strName"] = "delete";
	$fdata["GoodName"] = "delete";
	$fdata["ownerTable"] = "allocation_detail";
	$fdata["Label"] = GetFieldLabel("detail","delete");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "delete";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`delete`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadetail["delete"] = $fdata;
		$tdatadetail[".searchableFields"][] = "delete";
//	accounting_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 18;
	$fdata["strName"] = "accounting_code";
	$fdata["GoodName"] = "accounting_code";
	$fdata["ownerTable"] = "allocation_detail";
	$fdata["Label"] = GetFieldLabel("detail","accounting_code");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "accounting_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "accounting_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=250";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadetail["accounting_code"] = $fdata;
		$tdatadetail[".searchableFields"][] = "accounting_code";


$tables_data["detail"]=&$tdatadetail;
$field_labels["detail"] = &$fieldLabelsdetail;
$fieldToolTips["detail"] = &$fieldToolTipsdetail;
$placeHolders["detail"] = &$placeHoldersdetail;
$page_titles["detail"] = &$pageTitlesdetail;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["detail"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["detail"] = array();



	
				$strOriginalDetailsTable="allocation";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="for_signature";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "for_signature";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["detail"][0] = $masterParams;
				$masterTablesData["detail"][0]["masterKeys"] = array();
	$masterTablesData["detail"][0]["masterKeys"][]="id";
				$masterTablesData["detail"][0]["detailKeys"] = array();
	$masterTablesData["detail"][0]["detailKeys"][]="fk";
		
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_detail()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	sub_office_code,  	sub_office,  	expenditure_code,  	department,  	amount,  	`date`,  	`user`,  	on_time,  	fk,  	`action`,  	ud,  	md,  	`comment`,  	description,  	c_acc,  	`delete`,  	accounting_code";
$proto0["m_strFrom"] = "FROM allocation_detail";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "allocation_detail",
	"m_srcTableName" => "detail"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "detail";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "sub_office_code",
	"m_strTable" => "allocation_detail",
	"m_srcTableName" => "detail"
));

$proto8["m_sql"] = "sub_office_code";
$proto8["m_srcTableName"] = "detail";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "sub_office",
	"m_strTable" => "allocation_detail",
	"m_srcTableName" => "detail"
));

$proto10["m_sql"] = "sub_office";
$proto10["m_srcTableName"] = "detail";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "expenditure_code",
	"m_strTable" => "allocation_detail",
	"m_srcTableName" => "detail"
));

$proto12["m_sql"] = "expenditure_code";
$proto12["m_srcTableName"] = "detail";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "department",
	"m_strTable" => "allocation_detail",
	"m_srcTableName" => "detail"
));

$proto14["m_sql"] = "department";
$proto14["m_srcTableName"] = "detail";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "amount",
	"m_strTable" => "allocation_detail",
	"m_srcTableName" => "detail"
));

$proto16["m_sql"] = "amount";
$proto16["m_srcTableName"] = "detail";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "date",
	"m_strTable" => "allocation_detail",
	"m_srcTableName" => "detail"
));

$proto18["m_sql"] = "`date`";
$proto18["m_srcTableName"] = "detail";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "allocation_detail",
	"m_srcTableName" => "detail"
));

$proto20["m_sql"] = "`user`";
$proto20["m_srcTableName"] = "detail";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "on_time",
	"m_strTable" => "allocation_detail",
	"m_srcTableName" => "detail"
));

$proto22["m_sql"] = "on_time";
$proto22["m_srcTableName"] = "detail";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "fk",
	"m_strTable" => "allocation_detail",
	"m_srcTableName" => "detail"
));

$proto24["m_sql"] = "fk";
$proto24["m_srcTableName"] = "detail";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "action",
	"m_strTable" => "allocation_detail",
	"m_srcTableName" => "detail"
));

$proto26["m_sql"] = "`action`";
$proto26["m_srcTableName"] = "detail";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "ud",
	"m_strTable" => "allocation_detail",
	"m_srcTableName" => "detail"
));

$proto28["m_sql"] = "ud";
$proto28["m_srcTableName"] = "detail";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "md",
	"m_strTable" => "allocation_detail",
	"m_srcTableName" => "detail"
));

$proto30["m_sql"] = "md";
$proto30["m_srcTableName"] = "detail";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "comment",
	"m_strTable" => "allocation_detail",
	"m_srcTableName" => "detail"
));

$proto32["m_sql"] = "`comment`";
$proto32["m_srcTableName"] = "detail";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
						$proto34=array();
			$obj = new SQLField(array(
	"m_strName" => "description",
	"m_strTable" => "allocation_detail",
	"m_srcTableName" => "detail"
));

$proto34["m_sql"] = "description";
$proto34["m_srcTableName"] = "detail";
$proto34["m_expr"]=$obj;
$proto34["m_alias"] = "";
$obj = new SQLFieldListItem($proto34);

$proto0["m_fieldlist"][]=$obj;
						$proto36=array();
			$obj = new SQLField(array(
	"m_strName" => "c_acc",
	"m_strTable" => "allocation_detail",
	"m_srcTableName" => "detail"
));

$proto36["m_sql"] = "c_acc";
$proto36["m_srcTableName"] = "detail";
$proto36["m_expr"]=$obj;
$proto36["m_alias"] = "";
$obj = new SQLFieldListItem($proto36);

$proto0["m_fieldlist"][]=$obj;
						$proto38=array();
			$obj = new SQLField(array(
	"m_strName" => "delete",
	"m_strTable" => "allocation_detail",
	"m_srcTableName" => "detail"
));

$proto38["m_sql"] = "`delete`";
$proto38["m_srcTableName"] = "detail";
$proto38["m_expr"]=$obj;
$proto38["m_alias"] = "";
$obj = new SQLFieldListItem($proto38);

$proto0["m_fieldlist"][]=$obj;
						$proto40=array();
			$obj = new SQLField(array(
	"m_strName" => "accounting_code",
	"m_strTable" => "allocation_detail",
	"m_srcTableName" => "detail"
));

$proto40["m_sql"] = "accounting_code";
$proto40["m_srcTableName"] = "detail";
$proto40["m_expr"]=$obj;
$proto40["m_alias"] = "";
$obj = new SQLFieldListItem($proto40);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto42=array();
$proto42["m_link"] = "SQLL_MAIN";
			$proto43=array();
$proto43["m_strName"] = "allocation_detail";
$proto43["m_srcTableName"] = "detail";
$proto43["m_columns"] = array();
$proto43["m_columns"][] = "id";
$proto43["m_columns"][] = "sub_office_code";
$proto43["m_columns"][] = "sub_office";
$proto43["m_columns"][] = "expenditure_code";
$proto43["m_columns"][] = "department";
$proto43["m_columns"][] = "amount";
$proto43["m_columns"][] = "date";
$proto43["m_columns"][] = "user";
$proto43["m_columns"][] = "on_time";
$proto43["m_columns"][] = "fk";
$proto43["m_columns"][] = "action";
$proto43["m_columns"][] = "ud";
$proto43["m_columns"][] = "md";
$proto43["m_columns"][] = "comment";
$proto43["m_columns"][] = "description";
$proto43["m_columns"][] = "c_acc";
$proto43["m_columns"][] = "delete";
$proto43["m_columns"][] = "accounting_code";
$obj = new SQLTable($proto43);

$proto42["m_table"] = $obj;
$proto42["m_sql"] = "allocation_detail";
$proto42["m_alias"] = "";
$proto42["m_srcTableName"] = "detail";
$proto44=array();
$proto44["m_sql"] = "";
$proto44["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto44["m_column"]=$obj;
$proto44["m_contained"] = array();
$proto44["m_strCase"] = "";
$proto44["m_havingmode"] = false;
$proto44["m_inBrackets"] = false;
$proto44["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto44);

$proto42["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto42);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="detail";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_detail = createSqlQuery_detail();


	
		;

																		

$tdatadetail[".sqlquery"] = $queryData_detail;



include_once(getabspath("include/detail_events.php"));
$tableEvents["detail"] = new eventclass_detail;
$tdatadetail[".hasEvents"] = true;

?>